# Generated by Django 5.0.4 on 2024-05-09 04:38

import uuid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('listing', '0005_alter_listing_properties'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AlterUniqueTogether(
            name='listing',
            unique_together={('name', 'user', 'description')},
        ),
        migrations.AddField(
            model_name='listing',
            name='uuid',
            field=models.UUIDField(default=uuid.uuid4),
        ),
    ]
